Package org.eclipse.birt.report.model.api.command

# Class TemplateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException
org.eclipse.birt.report.model.api.command.TemplateException

All Implemented Interfaces:
  `Serializable`

public class TemplateException extends SemanticException
Reports an error during a template related operation.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN`
The current report item or data set or template element is not in the design, it can not do any transformation.
`static final String`
`DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE`
Only report items and data sets can be transformed to template elements, other types of element are not supported.
`static final String`
`DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN`
The current element is not a template data set or the template data set has no template definition.
`static final String`
`DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED`
Template elements are not supported by libraries.
`static final String`
`DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN`
The current element is not a template data set or the template data set has no template definition.
`static final String`
`DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN`
The current element is not a template report item or the template report item has no template definition.

### Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`TemplateException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)`
Constructs the exception with focus elementand error code.
`TemplateException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getLocalizedMessage()`

### Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException

`getElement, getElementName, getMessage`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE

public static final String DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE
Only report items and data sets can be transformed to template elements, other types of element are not supported.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED

public static final String DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED
Template elements are not supported by libraries.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN

public static final String DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN
The current element is not a template report item or the template report item has no template definition.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN

public static final String DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN
The current element is not a template data set or the template data set has no template definition.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN

public static final String DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN
The current element is not a template data set or the template data set has no template definition.

See Also:
  - Constant Field Values

### DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN

public static final String DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN
The current report item or data set or template element is not in the design, it can not do any transformation.

See Also:
  - Constant Field Values

## Constructor Details

### TemplateException

public TemplateException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)
Constructs the exception with focus elementand error code.

Parameters:
  `element` - The design element of this exception focuses.
  `errCode` - What went wrong.

### TemplateException

public TemplateException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)
Constructor.

Parameters:
  `element` - the element which has errors
  `values` - value array used for error message
  `errCode` - the error code

## Method Details

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `SemanticException`